urllib3.util package
====================

Useful methods for working with :mod:`httplib`, completely decoupled from
code specific to **urllib3**.

At the very core, just like its predecessors, :mod:`urllib3` is built on top of
:mod:`httplib` -- the lowest level HTTP library included in the Python
standard library.

To aid the limited functionality of the :mod:`httplib` module, :mod:`urllib3`
provides various helper methods which are used with the higher level components
but can also be used independently.

urllib3.util.connection module
------------------------------

.. automodule:: urllib3.util.connection
    :members:
    :undoc-members:
    :show-inheritance:

urllib3.util.request module
---------------------------

.. automodule:: urllib3.util.request
    :members:
    :undoc-members:
    :show-inheritance:

urllib3.util.response module
----------------------------

.. automodule:: urllib3.util.response
    :members:
    :undoc-members:
    :show-inheritance:

urllib3.util.retry module
-------------------------

.. automodule:: urllib3.util.retry
    :members:
    :undoc-members:
    :show-inheritance:

urllib3.util.timeout module
---------------------------

.. automodule:: urllib3.util.timeout
    :members:
    :undoc-members:
    :show-inheritance:

urllib3.util.url module
-----------------------

.. automodule:: urllib3.util.url
    :members:
    :undoc-members:
    :show-inheritance:


Module contents
---------------

.. automodule:: urllib3.util
    :members:
    :undoc-members:
    :show-inheritance:
